import java.util.Scanner;

//Jogo de pedra, papel, tesoura

public class JoCOMPo {

	public static void main(String[] args) {

		Scanner sc = new Scanner(System.in);

		// Recebe o numero de casos de teste
		// E roda o algoritmo para cada um
		for (int n = sc.nextInt(); n > 0; n--) {

			// Variaveis para guardar os pontos de cada um dos jogadores
			int pontos1 = 0;
			int pontos2 = 0;

			// Recebe o numero de jogadas
			int j = sc.nextInt();
			sc.nextLine(); // Esse nextLine le o proximo ENTER, utilizado para enviar o numero anterior

			// Roda para cada jogada
			for (; j > 0; j--) {

				// Recebe as configuracoes de mao de cada jogador
				String p1 = sc.next();
				String p2 = sc.next();

				// Atualiza a pontuacao
				if (p1.equals("R")) {
					if (p2.equals("P")) {
						pontos2++;
					} else if (p2.equals("S")) {
						pontos1++;
					}
				} else if (p1.equals("P")) {
					if (p2.equals("R")) {
						pontos1++;
					} else if (p2.equals("S")) {
						pontos2++;
					}
				} else if (p1.equals("S")) {
					if (p2.equals("R")) {
						pontos2++;
					} else if (p2.equals("P")) {
						pontos1++;
					}
				}
			}

			// Imprime o resultado
			if (pontos1 > pontos2)
				System.out.println("O primeiro jogador ganhou!");
			else if (pontos2 > pontos1)
				System.out.println(("O segundo jogador ganhou!"));
			else
				System.out.println("O jogo terminou empatado!");
		}

		sc.close();
	}
}
